Bug 1471912 - Enable ZFS storage driver in libvirt (patch sent to libvirt ML)
Summary: Enable ZFS storage driver in libvirt (patch sent to libvirt ML)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL: https://www.redhat.com/archives/libvi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-17 16:01 UTC by Neal Gompa
Modified: 2017-09-14 20:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-14 20:22:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1479657 None None None Never

Internal Links: 1479657

Description Neal Gompa 2017-07-17 16:01:23 UTC
Description of problem:
Currently, it's not possible to use ZFS with libvirt. Please enable zfs storage support in libvirt. Because the libvirt spec file seems to be maintained in the libvirt git repo upstream, I've sent a patch to the ML[1].

[1]: https://www.redhat.com/archives/libvir-list/2017-July/msg00616.html

Also, please backport this enablement to Fedora 25 and Fedora 26. For these releases, the following Bodhi updates are required:

* F25: https://bodhi.fedoraproject.org/updates/FEDORA-2017-235a72bdff

* F26: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4492cb6986

Version-Release number of selected component (if applicable):
3.5.0-2.fc27
3.2.1-4.fc26
2.2.1-2.fc25

Comment 1 Neal Gompa 2017-08-04 02:02:21 UTC
I see that libvirt-3.6.0 was released to Rawhide which has my patch incorporated into it. So can you please backport the changes to libvirt packages shipped in Fedora 26 and Fedora 25 now?

Comment 2 Cole Robinson 2017-08-04 17:59:38 UTC
Sorry for the delay, I'll do a build today

Comment 3 Neal Gompa 2017-08-04 19:12:07 UTC
Awesome, thanks!

Comment 4 Jan Kurik 2017-08-15 07:01:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Fedora Update System 2017-08-23 08:14:30 UTC
libvirt-3.2.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c92db10b8

Comment 6 Fedora Update System 2017-08-23 08:16:02 UTC
libvirt-2.2.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-226cbd995b

Comment 7 Fedora Update System 2017-08-23 19:52:59 UTC
libvirt-3.2.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-08-24 00:52:45 UTC
libvirt-2.2.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.